Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network113.2.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
113.2.0.0
Broadcast address
113.2.63.255
First usable
113.2.0.1
Last usable
113.2.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 71020000 · Integer 1895956480 to 1895972863
Reverse DNS zones
0.2.113.in-addr.arpa
1.2.113.in-addr.arpa
2.2.113.in-addr.arpa
3.2.113.in-addr.arpa
4.2.113.in-addr.arpa
5.2.113.in-addr.arpa
6.2.113.in-addr.arpa
7.2.113.in-addr.arpa
8.2.113.in-addr.arpa
9.2.113.in-addr.arpa
10.2.113.in-addr.arpa
11.2.113.in-addr.arpa
12.2.113.in-addr.arpa
13.2.113.in-addr.arpa
14.2.113.in-addr.arpa
15.2.113.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110001.00000010.00000000.00000000113.2.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01110001.00000010.00000000.00000000113.2.0.0
Broadcast01110001.00000010.00111111.11111111113.2.63.255
Split into smaller subnets/27

113.2.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1113.2.0.0/27113.2.0.1 to 113.2.0.30113.2.0.3130
2113.2.0.32/27113.2.0.33 to 113.2.0.62113.2.0.6330
3113.2.0.64/27113.2.0.65 to 113.2.0.94113.2.0.9530
4113.2.0.96/27113.2.0.97 to 113.2.0.126113.2.0.12730
5113.2.0.128/27113.2.0.129 to 113.2.0.158113.2.0.15930
6113.2.0.160/27113.2.0.161 to 113.2.0.190113.2.0.19130
7113.2.0.192/27113.2.0.193 to 113.2.0.222113.2.0.22330
8113.2.0.224/27113.2.0.225 to 113.2.0.254113.2.0.25530
9113.2.1.0/27113.2.1.1 to 113.2.1.30113.2.1.3130
10113.2.1.32/27113.2.1.33 to 113.2.1.62113.2.1.6330
11113.2.1.64/27113.2.1.65 to 113.2.1.94113.2.1.9530
12113.2.1.96/27113.2.1.97 to 113.2.1.126113.2.1.12730
13113.2.1.128/27113.2.1.129 to 113.2.1.158113.2.1.15930
14113.2.1.160/27113.2.1.161 to 113.2.1.190113.2.1.19130
15113.2.1.192/27113.2.1.193 to 113.2.1.222113.2.1.22330
16113.2.1.224/27113.2.1.225 to 113.2.1.254113.2.1.25530
17113.2.2.0/27113.2.2.1 to 113.2.2.30113.2.2.3130
18113.2.2.32/27113.2.2.33 to 113.2.2.62113.2.2.6330
19113.2.2.64/27113.2.2.65 to 113.2.2.94113.2.2.9530
20113.2.2.96/27113.2.2.97 to 113.2.2.126113.2.2.12730
21113.2.2.128/27113.2.2.129 to 113.2.2.158113.2.2.15930
22113.2.2.160/27113.2.2.161 to 113.2.2.190113.2.2.19130
23113.2.2.192/27113.2.2.193 to 113.2.2.222113.2.2.22330
24113.2.2.224/27113.2.2.225 to 113.2.2.254113.2.2.25530
25113.2.3.0/27113.2.3.1 to 113.2.3.30113.2.3.3130
26113.2.3.32/27113.2.3.33 to 113.2.3.62113.2.3.6330
27113.2.3.64/27113.2.3.65 to 113.2.3.94113.2.3.9530
28113.2.3.96/27113.2.3.97 to 113.2.3.126113.2.3.12730
29113.2.3.128/27113.2.3.129 to 113.2.3.158113.2.3.15930
30113.2.3.160/27113.2.3.161 to 113.2.3.190113.2.3.19130
31113.2.3.192/27113.2.3.193 to 113.2.3.222113.2.3.22330
32113.2.3.224/27113.2.3.225 to 113.2.3.254113.2.3.25530
33113.2.4.0/27113.2.4.1 to 113.2.4.30113.2.4.3130
34113.2.4.32/27113.2.4.33 to 113.2.4.62113.2.4.6330
35113.2.4.64/27113.2.4.65 to 113.2.4.94113.2.4.9530
36113.2.4.96/27113.2.4.97 to 113.2.4.126113.2.4.12730
37113.2.4.128/27113.2.4.129 to 113.2.4.158113.2.4.15930
38113.2.4.160/27113.2.4.161 to 113.2.4.190113.2.4.19130
39113.2.4.192/27113.2.4.193 to 113.2.4.222113.2.4.22330
40113.2.4.224/27113.2.4.225 to 113.2.4.254113.2.4.25530
41113.2.5.0/27113.2.5.1 to 113.2.5.30113.2.5.3130
42113.2.5.32/27113.2.5.33 to 113.2.5.62113.2.5.6330
43113.2.5.64/27113.2.5.65 to 113.2.5.94113.2.5.9530
44113.2.5.96/27113.2.5.97 to 113.2.5.126113.2.5.12730
45113.2.5.128/27113.2.5.129 to 113.2.5.158113.2.5.15930
46113.2.5.160/27113.2.5.161 to 113.2.5.190113.2.5.19130
47113.2.5.192/27113.2.5.193 to 113.2.5.222113.2.5.22330
48113.2.5.224/27113.2.5.225 to 113.2.5.254113.2.5.25530
49113.2.6.0/27113.2.6.1 to 113.2.6.30113.2.6.3130
50113.2.6.32/27113.2.6.33 to 113.2.6.62113.2.6.6330
51113.2.6.64/27113.2.6.65 to 113.2.6.94113.2.6.9530
52113.2.6.96/27113.2.6.97 to 113.2.6.126113.2.6.12730
53113.2.6.128/27113.2.6.129 to 113.2.6.158113.2.6.15930
54113.2.6.160/27113.2.6.161 to 113.2.6.190113.2.6.19130
55113.2.6.192/27113.2.6.193 to 113.2.6.222113.2.6.22330
56113.2.6.224/27113.2.6.225 to 113.2.6.254113.2.6.25530
57113.2.7.0/27113.2.7.1 to 113.2.7.30113.2.7.3130
58113.2.7.32/27113.2.7.33 to 113.2.7.62113.2.7.6330
59113.2.7.64/27113.2.7.65 to 113.2.7.94113.2.7.9530
60113.2.7.96/27113.2.7.97 to 113.2.7.126113.2.7.12730
61113.2.7.128/27113.2.7.129 to 113.2.7.158113.2.7.15930
62113.2.7.160/27113.2.7.161 to 113.2.7.190113.2.7.19130
63113.2.7.192/27113.2.7.193 to 113.2.7.222113.2.7.22330
64113.2.7.224/27113.2.7.225 to 113.2.7.254113.2.7.25530
65113.2.8.0/27113.2.8.1 to 113.2.8.30113.2.8.3130
66113.2.8.32/27113.2.8.33 to 113.2.8.62113.2.8.6330
67113.2.8.64/27113.2.8.65 to 113.2.8.94113.2.8.9530
68113.2.8.96/27113.2.8.97 to 113.2.8.126113.2.8.12730
69113.2.8.128/27113.2.8.129 to 113.2.8.158113.2.8.15930
70113.2.8.160/27113.2.8.161 to 113.2.8.190113.2.8.19130
71113.2.8.192/27113.2.8.193 to 113.2.8.222113.2.8.22330
72113.2.8.224/27113.2.8.225 to 113.2.8.254113.2.8.25530
73113.2.9.0/27113.2.9.1 to 113.2.9.30113.2.9.3130
74113.2.9.32/27113.2.9.33 to 113.2.9.62113.2.9.6330
75113.2.9.64/27113.2.9.65 to 113.2.9.94113.2.9.9530
76113.2.9.96/27113.2.9.97 to 113.2.9.126113.2.9.12730
77113.2.9.128/27113.2.9.129 to 113.2.9.158113.2.9.15930
78113.2.9.160/27113.2.9.161 to 113.2.9.190113.2.9.19130
79113.2.9.192/27113.2.9.193 to 113.2.9.222113.2.9.22330
80113.2.9.224/27113.2.9.225 to 113.2.9.254113.2.9.25530
81113.2.10.0/27113.2.10.1 to 113.2.10.30113.2.10.3130
82113.2.10.32/27113.2.10.33 to 113.2.10.62113.2.10.6330
83113.2.10.64/27113.2.10.65 to 113.2.10.94113.2.10.9530
84113.2.10.96/27113.2.10.97 to 113.2.10.126113.2.10.12730
85113.2.10.128/27113.2.10.129 to 113.2.10.158113.2.10.15930
86113.2.10.160/27113.2.10.161 to 113.2.10.190113.2.10.19130
87113.2.10.192/27113.2.10.193 to 113.2.10.222113.2.10.22330
88113.2.10.224/27113.2.10.225 to 113.2.10.254113.2.10.25530
89113.2.11.0/27113.2.11.1 to 113.2.11.30113.2.11.3130
90113.2.11.32/27113.2.11.33 to 113.2.11.62113.2.11.6330
91113.2.11.64/27113.2.11.65 to 113.2.11.94113.2.11.9530
92113.2.11.96/27113.2.11.97 to 113.2.11.126113.2.11.12730
93113.2.11.128/27113.2.11.129 to 113.2.11.158113.2.11.15930
94113.2.11.160/27113.2.11.161 to 113.2.11.190113.2.11.19130
95113.2.11.192/27113.2.11.193 to 113.2.11.222113.2.11.22330
96113.2.11.224/27113.2.11.225 to 113.2.11.254113.2.11.25530
97113.2.12.0/27113.2.12.1 to 113.2.12.30113.2.12.3130
98113.2.12.32/27113.2.12.33 to 113.2.12.62113.2.12.6330
99113.2.12.64/27113.2.12.65 to 113.2.12.94113.2.12.9530
100113.2.12.96/27113.2.12.97 to 113.2.12.126113.2.12.12730
101113.2.12.128/27113.2.12.129 to 113.2.12.158113.2.12.15930
102113.2.12.160/27113.2.12.161 to 113.2.12.190113.2.12.19130
103113.2.12.192/27113.2.12.193 to 113.2.12.222113.2.12.22330
104113.2.12.224/27113.2.12.225 to 113.2.12.254113.2.12.25530
105113.2.13.0/27113.2.13.1 to 113.2.13.30113.2.13.3130
106113.2.13.32/27113.2.13.33 to 113.2.13.62113.2.13.6330
107113.2.13.64/27113.2.13.65 to 113.2.13.94113.2.13.9530
108113.2.13.96/27113.2.13.97 to 113.2.13.126113.2.13.12730
109113.2.13.128/27113.2.13.129 to 113.2.13.158113.2.13.15930
110113.2.13.160/27113.2.13.161 to 113.2.13.190113.2.13.19130
111113.2.13.192/27113.2.13.193 to 113.2.13.222113.2.13.22330
112113.2.13.224/27113.2.13.225 to 113.2.13.254113.2.13.25530
113113.2.14.0/27113.2.14.1 to 113.2.14.30113.2.14.3130
114113.2.14.32/27113.2.14.33 to 113.2.14.62113.2.14.6330
115113.2.14.64/27113.2.14.65 to 113.2.14.94113.2.14.9530
116113.2.14.96/27113.2.14.97 to 113.2.14.126113.2.14.12730
117113.2.14.128/27113.2.14.129 to 113.2.14.158113.2.14.15930
118113.2.14.160/27113.2.14.161 to 113.2.14.190113.2.14.19130
119113.2.14.192/27113.2.14.193 to 113.2.14.222113.2.14.22330
120113.2.14.224/27113.2.14.225 to 113.2.14.254113.2.14.25530
121113.2.15.0/27113.2.15.1 to 113.2.15.30113.2.15.3130
122113.2.15.32/27113.2.15.33 to 113.2.15.62113.2.15.6330
123113.2.15.64/27113.2.15.65 to 113.2.15.94113.2.15.9530
124113.2.15.96/27113.2.15.97 to 113.2.15.126113.2.15.12730
125113.2.15.128/27113.2.15.129 to 113.2.15.158113.2.15.15930
126113.2.15.160/27113.2.15.161 to 113.2.15.190113.2.15.19130
127113.2.15.192/27113.2.15.193 to 113.2.15.222113.2.15.22330
128113.2.15.224/27113.2.15.225 to 113.2.15.254113.2.15.25530
129113.2.16.0/27113.2.16.1 to 113.2.16.30113.2.16.3130
130113.2.16.32/27113.2.16.33 to 113.2.16.62113.2.16.6330
131113.2.16.64/27113.2.16.65 to 113.2.16.94113.2.16.9530
132113.2.16.96/27113.2.16.97 to 113.2.16.126113.2.16.12730
133113.2.16.128/27113.2.16.129 to 113.2.16.158113.2.16.15930
134113.2.16.160/27113.2.16.161 to 113.2.16.190113.2.16.19130
135113.2.16.192/27113.2.16.193 to 113.2.16.222113.2.16.22330
136113.2.16.224/27113.2.16.225 to 113.2.16.254113.2.16.25530
137113.2.17.0/27113.2.17.1 to 113.2.17.30113.2.17.3130
138113.2.17.32/27113.2.17.33 to 113.2.17.62113.2.17.6330
139113.2.17.64/27113.2.17.65 to 113.2.17.94113.2.17.9530
140113.2.17.96/27113.2.17.97 to 113.2.17.126113.2.17.12730
141113.2.17.128/27113.2.17.129 to 113.2.17.158113.2.17.15930
142113.2.17.160/27113.2.17.161 to 113.2.17.190113.2.17.19130
143113.2.17.192/27113.2.17.193 to 113.2.17.222113.2.17.22330
144113.2.17.224/27113.2.17.225 to 113.2.17.254113.2.17.25530
145113.2.18.0/27113.2.18.1 to 113.2.18.30113.2.18.3130
146113.2.18.32/27113.2.18.33 to 113.2.18.62113.2.18.6330
147113.2.18.64/27113.2.18.65 to 113.2.18.94113.2.18.9530
148113.2.18.96/27113.2.18.97 to 113.2.18.126113.2.18.12730
149113.2.18.128/27113.2.18.129 to 113.2.18.158113.2.18.15930
150113.2.18.160/27113.2.18.161 to 113.2.18.190113.2.18.19130
151113.2.18.192/27113.2.18.193 to 113.2.18.222113.2.18.22330
152113.2.18.224/27113.2.18.225 to 113.2.18.254113.2.18.25530
153113.2.19.0/27113.2.19.1 to 113.2.19.30113.2.19.3130
154113.2.19.32/27113.2.19.33 to 113.2.19.62113.2.19.6330
155113.2.19.64/27113.2.19.65 to 113.2.19.94113.2.19.9530
156113.2.19.96/27113.2.19.97 to 113.2.19.126113.2.19.12730
157113.2.19.128/27113.2.19.129 to 113.2.19.158113.2.19.15930
158113.2.19.160/27113.2.19.161 to 113.2.19.190113.2.19.19130
159113.2.19.192/27113.2.19.193 to 113.2.19.222113.2.19.22330
160113.2.19.224/27113.2.19.225 to 113.2.19.254113.2.19.25530
161113.2.20.0/27113.2.20.1 to 113.2.20.30113.2.20.3130
162113.2.20.32/27113.2.20.33 to 113.2.20.62113.2.20.6330
163113.2.20.64/27113.2.20.65 to 113.2.20.94113.2.20.9530
164113.2.20.96/27113.2.20.97 to 113.2.20.126113.2.20.12730
165113.2.20.128/27113.2.20.129 to 113.2.20.158113.2.20.15930
166113.2.20.160/27113.2.20.161 to 113.2.20.190113.2.20.19130
167113.2.20.192/27113.2.20.193 to 113.2.20.222113.2.20.22330
168113.2.20.224/27113.2.20.225 to 113.2.20.254113.2.20.25530
169113.2.21.0/27113.2.21.1 to 113.2.21.30113.2.21.3130
170113.2.21.32/27113.2.21.33 to 113.2.21.62113.2.21.6330
171113.2.21.64/27113.2.21.65 to 113.2.21.94113.2.21.9530
172113.2.21.96/27113.2.21.97 to 113.2.21.126113.2.21.12730
173113.2.21.128/27113.2.21.129 to 113.2.21.158113.2.21.15930
174113.2.21.160/27113.2.21.161 to 113.2.21.190113.2.21.19130
175113.2.21.192/27113.2.21.193 to 113.2.21.222113.2.21.22330
176113.2.21.224/27113.2.21.225 to 113.2.21.254113.2.21.25530
177113.2.22.0/27113.2.22.1 to 113.2.22.30113.2.22.3130
178113.2.22.32/27113.2.22.33 to 113.2.22.62113.2.22.6330
179113.2.22.64/27113.2.22.65 to 113.2.22.94113.2.22.9530
180113.2.22.96/27113.2.22.97 to 113.2.22.126113.2.22.12730
181113.2.22.128/27113.2.22.129 to 113.2.22.158113.2.22.15930
182113.2.22.160/27113.2.22.161 to 113.2.22.190113.2.22.19130
183113.2.22.192/27113.2.22.193 to 113.2.22.222113.2.22.22330
184113.2.22.224/27113.2.22.225 to 113.2.22.254113.2.22.25530
185113.2.23.0/27113.2.23.1 to 113.2.23.30113.2.23.3130
186113.2.23.32/27113.2.23.33 to 113.2.23.62113.2.23.6330
187113.2.23.64/27113.2.23.65 to 113.2.23.94113.2.23.9530
188113.2.23.96/27113.2.23.97 to 113.2.23.126113.2.23.12730
189113.2.23.128/27113.2.23.129 to 113.2.23.158113.2.23.15930
190113.2.23.160/27113.2.23.161 to 113.2.23.190113.2.23.19130
191113.2.23.192/27113.2.23.193 to 113.2.23.222113.2.23.22330
192113.2.23.224/27113.2.23.225 to 113.2.23.254113.2.23.25530
193113.2.24.0/27113.2.24.1 to 113.2.24.30113.2.24.3130
194113.2.24.32/27113.2.24.33 to 113.2.24.62113.2.24.6330
195113.2.24.64/27113.2.24.65 to 113.2.24.94113.2.24.9530
196113.2.24.96/27113.2.24.97 to 113.2.24.126113.2.24.12730
197113.2.24.128/27113.2.24.129 to 113.2.24.158113.2.24.15930
198113.2.24.160/27113.2.24.161 to 113.2.24.190113.2.24.19130
199113.2.24.192/27113.2.24.193 to 113.2.24.222113.2.24.22330
200113.2.24.224/27113.2.24.225 to 113.2.24.254113.2.24.25530
201113.2.25.0/27113.2.25.1 to 113.2.25.30113.2.25.3130
202113.2.25.32/27113.2.25.33 to 113.2.25.62113.2.25.6330
203113.2.25.64/27113.2.25.65 to 113.2.25.94113.2.25.9530
204113.2.25.96/27113.2.25.97 to 113.2.25.126113.2.25.12730
205113.2.25.128/27113.2.25.129 to 113.2.25.158113.2.25.15930
206113.2.25.160/27113.2.25.161 to 113.2.25.190113.2.25.19130
207113.2.25.192/27113.2.25.193 to 113.2.25.222113.2.25.22330
208113.2.25.224/27113.2.25.225 to 113.2.25.254113.2.25.25530
209113.2.26.0/27113.2.26.1 to 113.2.26.30113.2.26.3130
210113.2.26.32/27113.2.26.33 to 113.2.26.62113.2.26.6330
211113.2.26.64/27113.2.26.65 to 113.2.26.94113.2.26.9530
212113.2.26.96/27113.2.26.97 to 113.2.26.126113.2.26.12730
213113.2.26.128/27113.2.26.129 to 113.2.26.158113.2.26.15930
214113.2.26.160/27113.2.26.161 to 113.2.26.190113.2.26.19130
215113.2.26.192/27113.2.26.193 to 113.2.26.222113.2.26.22330
216113.2.26.224/27113.2.26.225 to 113.2.26.254113.2.26.25530
217113.2.27.0/27113.2.27.1 to 113.2.27.30113.2.27.3130
218113.2.27.32/27113.2.27.33 to 113.2.27.62113.2.27.6330
219113.2.27.64/27113.2.27.65 to 113.2.27.94113.2.27.9530
220113.2.27.96/27113.2.27.97 to 113.2.27.126113.2.27.12730
221113.2.27.128/27113.2.27.129 to 113.2.27.158113.2.27.15930
222113.2.27.160/27113.2.27.161 to 113.2.27.190113.2.27.19130
223113.2.27.192/27113.2.27.193 to 113.2.27.222113.2.27.22330
224113.2.27.224/27113.2.27.225 to 113.2.27.254113.2.27.25530
225113.2.28.0/27113.2.28.1 to 113.2.28.30113.2.28.3130
226113.2.28.32/27113.2.28.33 to 113.2.28.62113.2.28.6330
227113.2.28.64/27113.2.28.65 to 113.2.28.94113.2.28.9530
228113.2.28.96/27113.2.28.97 to 113.2.28.126113.2.28.12730
229113.2.28.128/27113.2.28.129 to 113.2.28.158113.2.28.15930
230113.2.28.160/27113.2.28.161 to 113.2.28.190113.2.28.19130
231113.2.28.192/27113.2.28.193 to 113.2.28.222113.2.28.22330
232113.2.28.224/27113.2.28.225 to 113.2.28.254113.2.28.25530
233113.2.29.0/27113.2.29.1 to 113.2.29.30113.2.29.3130
234113.2.29.32/27113.2.29.33 to 113.2.29.62113.2.29.6330
235113.2.29.64/27113.2.29.65 to 113.2.29.94113.2.29.9530
236113.2.29.96/27113.2.29.97 to 113.2.29.126113.2.29.12730
237113.2.29.128/27113.2.29.129 to 113.2.29.158113.2.29.15930
238113.2.29.160/27113.2.29.161 to 113.2.29.190113.2.29.19130
239113.2.29.192/27113.2.29.193 to 113.2.29.222113.2.29.22330
240113.2.29.224/27113.2.29.225 to 113.2.29.254113.2.29.25530
241113.2.30.0/27113.2.30.1 to 113.2.30.30113.2.30.3130
242113.2.30.32/27113.2.30.33 to 113.2.30.62113.2.30.6330
243113.2.30.64/27113.2.30.65 to 113.2.30.94113.2.30.9530
244113.2.30.96/27113.2.30.97 to 113.2.30.126113.2.30.12730
245113.2.30.128/27113.2.30.129 to 113.2.30.158113.2.30.15930
246113.2.30.160/27113.2.30.161 to 113.2.30.190113.2.30.19130
247113.2.30.192/27113.2.30.193 to 113.2.30.222113.2.30.22330
248113.2.30.224/27113.2.30.225 to 113.2.30.254113.2.30.25530
249113.2.31.0/27113.2.31.1 to 113.2.31.30113.2.31.3130
250113.2.31.32/27113.2.31.33 to 113.2.31.62113.2.31.6330
251113.2.31.64/27113.2.31.65 to 113.2.31.94113.2.31.9530
252113.2.31.96/27113.2.31.97 to 113.2.31.126113.2.31.12730
253113.2.31.128/27113.2.31.129 to 113.2.31.158113.2.31.15930
254113.2.31.160/27113.2.31.161 to 113.2.31.190113.2.31.19130
255113.2.31.192/27113.2.31.193 to 113.2.31.222113.2.31.22330
256113.2.31.224/27113.2.31.225 to 113.2.31.254113.2.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses